﻿using System;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NonUniqueBag
{
    public static class Extensions
    {
        /// <summary>
        /// List extension method that returns true if the values in the int list are unique
        /// </summary>
        /// <param name="list"></param>
        /// <returns></returns>
        public static bool IsUnique(this List<int> list)
        {
            if (list.Distinct().Count() == list.Count()) //if the number of unique is equal to the number of all, they are all unique.
            {
                return true;
            }
            return false;
        }

        public static bool IsUnique(this ConcurrentBag<int> cb)
        {
            if (cb.Distinct().Count() == cb.Count()) return true;
            else return false;
        }
    }
}
